Index: c/src/exec/score/ChangeLog
===================================================================
--- c/src/exec/score/ChangeLog	(revision b9f84f1f06c3cc29b00557f66a152f68d04028fe)
+++ c/src/exec/score/ChangeLog	(revision b804d632c02ceb4414411f1ca5ab909c6d2ea91c)
@@ -1,2 +1,8 @@
+2001-12-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* inline/rtems/score/object.inl, macros/rtems/score/object.inl: Add
+	add casts to Objects_Id in _Objects_Build_ids to avoid implicit
+	typecasts from enum to int16 on bit16 targets (here: h8300).
+
 2001-12-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/exec/score/inline/rtems/score/object.inl
===================================================================
--- c/src/exec/score/inline/rtems/score/object.inl	(revision b9f84f1f06c3cc29b00557f66a152f68d04028fe)
+++ c/src/exec/score/inline/rtems/score/object.inl	(revision b804d632c02ceb4414411f1ca5ab909c6d2ea91c)
@@ -33,7 +33,7 @@
 )
 {
-  return (the_class << OBJECTS_CLASS_START_BIT) |
-         (node << OBJECTS_NODE_START_BIT)       |
-         (index << OBJECTS_INDEX_START_BIT);
+  return (( (Objects_Id) the_class ) << OBJECTS_CLASS_START_BIT) |
+         (( (Objects_Id) node ) << OBJECTS_NODE_START_BIT)       |
+         (( (Objects_Id) index ) << OBJECTS_INDEX_START_BIT);
 }
 
Index: c/src/exec/score/macros/rtems/score/object.inl
===================================================================
--- c/src/exec/score/macros/rtems/score/object.inl	(revision b9f84f1f06c3cc29b00557f66a152f68d04028fe)
+++ c/src/exec/score/macros/rtems/score/object.inl	(revision b804d632c02ceb4414411f1ca5ab909c6d2ea91c)
@@ -24,7 +24,7 @@
 
 #define _Objects_Build_id( _the_class, _node, _index ) \
-  ( ((_the_class) << OBJECTS_CLASS_START_BIT) | \
-    ((_node) << OBJECTS_NODE_START_BIT)       | \
-    ((_index) << OBJECTS_INDEX_START_BIT) )
+  ( (( (Objects_Id) the_class ) << OBJECTS_CLASS_START_BIT) | \
+    (( (Objects_Id) node ) << OBJECTS_NODE_START_BIT)       | \
+    (( (Objects_Id) index ) << OBJECTS_INDEX_START_BIT) )
 
 /*PAGE
Index: cpukit/score/ChangeLog
===================================================================
--- cpukit/score/ChangeLog	(revision b9f84f1f06c3cc29b00557f66a152f68d04028fe)
+++ cpukit/score/ChangeLog	(revision b804d632c02ceb4414411f1ca5ab909c6d2ea91c)
@@ -1,2 +1,8 @@
+2001-12-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* inline/rtems/score/object.inl, macros/rtems/score/object.inl: Add
+	add casts to Objects_Id in _Objects_Build_ids to avoid implicit
+	typecasts from enum to int16 on bit16 targets (here: h8300).
+
 2001-12-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: cpukit/score/inline/rtems/score/object.inl
===================================================================
--- cpukit/score/inline/rtems/score/object.inl	(revision b9f84f1f06c3cc29b00557f66a152f68d04028fe)
+++ cpukit/score/inline/rtems/score/object.inl	(revision b804d632c02ceb4414411f1ca5ab909c6d2ea91c)
@@ -33,7 +33,7 @@
 )
 {
-  return (the_class << OBJECTS_CLASS_START_BIT) |
-         (node << OBJECTS_NODE_START_BIT)       |
-         (index << OBJECTS_INDEX_START_BIT);
+  return (( (Objects_Id) the_class ) << OBJECTS_CLASS_START_BIT) |
+         (( (Objects_Id) node ) << OBJECTS_NODE_START_BIT)       |
+         (( (Objects_Id) index ) << OBJECTS_INDEX_START_BIT);
 }
 
Index: cpukit/score/macros/rtems/score/object.inl
===================================================================
--- cpukit/score/macros/rtems/score/object.inl	(revision b9f84f1f06c3cc29b00557f66a152f68d04028fe)
+++ cpukit/score/macros/rtems/score/object.inl	(revision b804d632c02ceb4414411f1ca5ab909c6d2ea91c)
@@ -24,7 +24,7 @@
 
 #define _Objects_Build_id( _the_class, _node, _index ) \
-  ( ((_the_class) << OBJECTS_CLASS_START_BIT) | \
-    ((_node) << OBJECTS_NODE_START_BIT)       | \
-    ((_index) << OBJECTS_INDEX_START_BIT) )
+  ( (( (Objects_Id) the_class ) << OBJECTS_CLASS_START_BIT) | \
+    (( (Objects_Id) node ) << OBJECTS_NODE_START_BIT)       | \
+    (( (Objects_Id) index ) << OBJECTS_INDEX_START_BIT) )
 
 /*PAGE
